Package ru.bgcrm.plugin.bgbilling.proto.model.contract

# Class ContractCreateData

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.contract.ContractCreateData

public class ContractCreateData extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractCreateData.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractCreateData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractCreateData.Builder`
  `builder()`
  `int`
  `getContractSubMode()`
  `int`
  `getContractSuperId()`
  `String`
  `getCustomTitle()`
  `Date`
  `getDateFrom()`
  `String`
  `getPassword()`
  `int`
  `getPatternId()`
  `String`
  `getTitle()`
  `void`
  `setContractSubMode(int contractSubMode)`
  `void`
  `setContractSuperId(int contractSuperId)`
  `void`
  `setCustomTitle(String customTitle)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setPassword(String password)`
  `void`
  `setPatternId(int patternId)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractCreateData

    public ContractCreateData()

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### getCustomTitle

    public String getCustomTitle()

  - ### getPassword

    public String getPassword()

  - ### getPatternId

    public int getPatternId()

  - ### getContractSuperId

    public int getContractSuperId()

  - ### getContractSubMode

    public int getContractSubMode()

  - ### getDateFrom

    public Date getDateFrom()

  - ### setTitle

    public void setTitle(String title)

  - ### setCustomTitle

    public void setCustomTitle(String customTitle)

  - ### setPassword

    public void setPassword(String password)

  - ### setPatternId

    public void setPatternId(int patternId)

  - ### setContractSuperId

    public void setContractSuperId(int contractSuperId)

  - ### setContractSubMode

    public void setContractSubMode(int contractSubMode)

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### builder

    public static ContractCreateData.Builder builder()